package middleware

import (
	"fmt"
	"github.com/gin-gonic/gin"
	"hongze/hongze_sync_trial/controller/resp"
	"hongze/hongze_sync_trial/global"
)

func Token() gin.HandlerFunc {
	return func(c *gin.Context) {
		token := c.Request.Header.Get("Authorization")
		if token == "" {
			token = c.DefaultQuery("authorization", "")
			if token == "" {
				token = c.DefaultQuery("Authorization", "")
			}
		}
		if token == "" {
			resp.TokenError(nil, "未登录或非法访问", "未登录或非法访问", c)
			c.Abort()
			return
		}
		fmt.Println("token:" + token)
		if token != global.CONFIG.Serve.Token {
			resp.TokenError(nil, "非法访问", "非法访问", c)
			c.Abort()
			return
		}
		//c.Set("adminInfo", admin)
		c.Next()
	}
}
