package alarm_msg

import (
	"encoding/json"
	"fmt"
	"github.com/rdlucklib/rdluck_tools/http"
	"hongze/hongze_sync_trial/global"
	"hongze/hongze_sync_trial/utils"
)

var (
	AlarmMsgUrl = "http://47.102.213.75:8606/api/alarm/send"
)

// SendAlarmMsg
// msgBody-消息内容
// level:消息基本,1:提示消息,2:警告消息,3:严重错误信息,默认为1 提示消息
// email 指定邮箱
func SendAlarmMsg(msgBody string, level int, email string) {
	params := make(map[string]interface{})
	params["ProjectName"] = utils.APPNAME
	params["RunMode"] = "release" //global.CONFIG.Serve.RunMode
	params["MsgBody"] = msgBody
	params["Level"] = level
	if email != `` {
		params["Email"] = email
	}
	param, err := json.Marshal(params)
	if err != nil {
		global.LOG.Critical("SendAlarmMsg json.Marshal Err:" + err.Error())
		return
	}
	r, e := http.Post(AlarmMsgUrl, string(param))
	fmt.Println("SendAlarmMsg", string(r), e)
}
